> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quno.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Topics

> Returns all topics and prompts that are being tracked



## OpenAPI

````yaml GET /api/v1/topics/get_all_topics
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://api.quno.ai
security:
  - bearerAuth: []
paths:
  /api/v1/topics/get_all_topics:
    get:
      description: Returns all topics and prompts that are being tracked
      parameters: []
      responses:
        '200':
          description: Topic response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Topic'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Topic:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        subitems:
          type: array
          items:
            $ref: '#/components/schemas/Prompt'
      required:
        - id
        - name
        - subitems
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    Prompt:
      type: object
      properties:
        id:
          type: integer
        prompt:
          type: string
        search_intent:
          type: string
        search_volume:
          type: integer
      required:
        - id
        - prompt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````